Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004068SOGoActiveSyncpublic2017-03-06 11:002017-08-18 23:02
Reportermrcoollv 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.7 
Target VersionFixed in Version 
Summary0004068: ActiveSync Calendar Issue
DescriptionI have encountered an issue with the calendar sync. If a series appointment is sent and then one appointment out of the series is deleted, although it removes that specific appointment from outlook it does not remove it from sogo online nor phone calendar.
Steps To ReproduceSteps to recreate:
1. Created an appointment series in external email account (in my case I utilized gmail)
2. Accept the series appointment in outlook (double checked that the appointments were added on sogo online and calendar)
3. In gmail deleted 1 of the appointments out of the series
4. Accepted deletion in outlook
5. Check outlook calendar and confirm specific appointment has been removed
6. Check sogo online and phone calendar and in both that specific appointment still exist
TagsActiveSync, calendar
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0002561resolvedludovic Can not invite to an exeption only 

-  Notes
(0011440)
mrcoollv (reporter)
2017-03-06 11:07

# Settings for SOGo Groupware

# SOGo
location ~ ^/sogo { rewrite ^ https://$host/SOGo; [^] }
location ~ ^/SOGO { rewrite ^ https://$host/SOGo; [^] }

# For Mac OS X and iOS devices.
rewrite ^/.well-known/caldav /SOGo/dav permanent;
rewrite ^/.well-known/carddav /SOGo/dav permanent;
rewrite ^/principals/ /SOGo/dav permanent;

location ^~ /SOGo {
    proxy_pass http://127.0.0.1:20000; [^]
    #proxy_redirect http://127.0.0.1:20000/SOGo/ [^] /SOGo;

    # forward user's IP address
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
    proxy_set_header x-webobjects-server-protocol HTTP/1.0;
    proxy_set_header x-webobjects-remote-host 127.0.0.1;
    proxy_set_header x-webobjects-server-name $server_name;
    proxy_set_header x-webobjects-server-url $scheme://$host;
}

location ^~ /Microsoft-Server-ActiveSync {
    proxy_pass http://127.0.0.1:20000/SOGo/Microsoft-Server-ActiveSync; [^]
    proxy_redirect http://127.0.0.1:20000/Microsoft-Server-ActiveSync [^] /;

    proxy_connect_timeout 360;
    proxy_send_timeout 360;
    proxy_read_timeout 3540;
}

location ^~ /SOGo/Microsoft-Server-ActiveSync {
    proxy_pass http://127.0.0.1:20000/SOGo/Microsoft-Server-ActiveSync; [^]
    proxy_redirect http://127.0.0.1:20000/SOGo/Microsoft-Server-ActiveSync [^] /;

    proxy_connect_timeout 3540;
    proxy_send_timeout 3540;
    proxy_read_timeout 3540;
}

location /SOGo.woa/WebServerResources/ {
    alias /usr/lib/GNUstep/SOGo/WebServerResources/;
}
location /SOGo/WebServerResources/ {
    alias /usr/lib/GNUstep/SOGo/WebServerResources/;
}
location ^/SOGo/so/ControlPanel/Products/([^/]*)/Resources/(.*)$ {
    alias /usr/lib/GNUstep/SOGo/$1.SOGo/Resources/$2;
}
(0011635)
mrcoollv (reporter)
2017-03-30 13:32

any update ?
User avatar (0011636)
ludovic (administrator)
2017-03-30 13:46

Not yet, we'll look at this soon.
(0011676)
mrcoollv (reporter)
2017-04-04 14:50

any update, has been over a month now
(0011682)
mrcoollv (reporter)
2017-04-05 17:24

why was this move to minor ?
User avatar (0011688)
ludovic (administrator)
2017-04-06 15:13
edited on: 2017-04-06 17:19

I was able to reproduce it.

Outlook was NOT sending anything to SOGo when deleting the occurence. It's only moving the mail to the Delete Items folder.

It'll need further investigation but at first, it looks like an Outlook bug.

(0011694)
mrcoollv (reporter)
2017-04-07 10:44

ok keep us posted please thank you for your hard work on this project
(0011731)
mrcoollv (reporter)
2017-04-16 17:05

hello any update on this matter, thank you
(0011747)
mrcoollv (reporter)
2017-04-21 15:36

any update?
User avatar (0011748)
ludovic (administrator)
2017-04-21 15:36

No and please stop asking, it won't expedite anything.

We have worked on many other things in SOGo recently and this bug will eventually be worked on.
(0011749)
mrcoollv (reporter)
2017-04-21 16:01

Communication is key, is what makes or brakes any business including sogo, has been over two months so i feel is time to asked and when is asked the first time was not responded i will ask again and same goes to everyone else.

you have a great product, just like to see it work as advertised that way i can make a donation to your project.
(0011794)
mrcoollv (reporter)
2017-05-08 10:53

Hello, checking in any update ?
User avatar (0011795)
ludovic (administrator)
2017-05-08 10:59

Looking into this right now for hopefully an inclusion of the bug fix in tomorrow's release.
(0011796)
mrcoollv (reporter)
2017-05-08 11:03

perfect, your the man :)
User avatar (0011798)
ludovic (administrator)
2017-05-08 14:28

SOGo itself (web admin gui) has issues dealing with IMIP request/cancel messages for recurring events.

1- if it received cancel message for a recurrence-id, it won't find it in the user's calendar (and that's normal, isEventStoredInCalendar is broken in this regard

2- if it receives a request for a recurrence-id, accept won't work, decline will work

3- if for some reason the attendee creates a recurrence-id in his calendar matching the one received by email, the delete option will delete the whole serie

That has to be fixed before this bug is fixed. We'll release v3.2.9 right now and push fixes for this bug right after - so good test from nightly builds will be possible.
(0011799)
mrcoollv (reporter)
2017-05-08 14:31

ok, making progress... thank you for the hard work and let me know
(0011835)
mrcoollv (reporter)
2017-05-26 12:03

Hello, keep me posted on this i have the client on my back
(0011896)
mrcoollv (reporter)
2017-06-02 15:19

Hello, just like to know where we are at with this... thanks
User avatar (0011897)
ludovic (administrator)
2017-06-02 15:23

Code has begun, we need to push 3.2.10 first (next week) and it'll land right after.
(0011904)
mrcoollv (reporter)
2017-06-07 12:27

your the man, thank you
User avatar (0011966)
ludovic (administrator)
2017-06-16 11:31

We need to also fix 0002561 - we will push 3.2.10 ASAP and start pushing fixes for both issues.
(0012037)
mrcoollv (reporter)
2017-07-05 16:14

hello how is the outcome with this ?

thanks
(0012087)
mrcoollv (reporter)
2017-07-11 12:16

any update ?
User avatar (0012088)
ludovic (administrator)
2017-07-11 14:43

Code should land in the nightly build this week.
(0012089)
mrcoollv (reporter)
2017-07-11 14:45

ok thank you
(0012122)
mrcoollv (reporter)
2017-07-23 13:32

Just wondering if it landed this pass week?
User avatar (0012123)
ludovic (administrator)
2017-07-23 20:22

The core "bug" was fixed - this corner case, relevant to this particular issue, will be fixed in the next 2 weeks.
(0012150)
mrcoollv (reporter)
2017-08-02 12:55

ok hoping soon, client been waiting and im running out of lies
(0012154)
mrcoollv (reporter)
2017-08-07 12:25

any update ?
(0012155)
mrcoollv (reporter)
2017-08-08 19:53

just wondering if we have an update ?
User avatar (0012156)
ludovic (administrator)
2017-08-08 22:04

Bugfix will land this week.
(0012157)
mrcoollv (reporter)
2017-08-08 22:56

Woot
User avatar (0012166)
ludovic (administrator)
2017-08-11 13:39

Retry using the latest nightly build.

All the sub-issues I documented in #11798 are gone.
(0012168)
mrcoollv (reporter)
2017-08-12 12:39

Just applied, waiting on client to test
(0012171)
mrcoollv (reporter)
2017-08-16 13:55

ok, i ran the upgrade but client still having that bug ... i followed the steps to allow the nightly builds.. yet client still having problems how can i confirm the nightly build was installed ?
User avatar (0012173)
Christian Mack (developer)
2017-08-18 08:08

check the version part of installed sogo and sope package names.
nightlies have the creation date in their package name.
(0012185)
mrcoollv (reporter)
2017-08-18 23:02

root@mx:~# dpkg -s sogo
Package: sogo
Status: install ok installed
Priority: optional
Section: web
Installed-Size: 50591
Maintainer: Inverse Support <support@inverse.ca>
Architecture: amd64
Multi-Arch: same
Version: 3.2.10.20170817-1
Depends: gnustep-base-runtime (>= 1.24.7), libc6 (>= 2.14), libcurl3 (>= 7.16.2), libgcc1 (>= 1:4.1.1), libglib2.0-0 (>= 2.14.0), libgnustep-base1.24 (>= 1.24.7), liblasso3 (>= 2.4.1), libmemcached11, libobjc4 (>= 4.6), libsbjson2.3 (>= 4.9.r1664.20170721), libsope-appserver4.9 (>= 4.9.r1664.20170721), libsope-core4.9 (>= 4.9.r1664.20170721), libsope-gdl1-4.9 (>= 4.9.r1664.20170721), libsope-ldap4.9 (>= 4.9.r1664.20170721), libsope-mime4.9 (>= 4.9.r1664.20170721), libsope-xml4.9 (>= 4.9.r1664.20170721), libssl1.0.0 (>= 1.0.0), tmpreaper, sope4.9-libxmlsaxdriver, sope4.9-db-connector, gnustep-make, zip
Recommends: memcached
Suggests: nginx
Conffiles:
 /etc/apache2/conf-available/SOGo.conf ff6440198dbde01aa780564e9bd17af9
 /etc/cron.d/sogo 7a7baf6aa09cb8a3ba36d5eb11a7ca36
 /etc/cron.daily/sogo 7f977d9ea3319c2aa6626ff2ba232c74
 /etc/default/sogo 986e4c2506f01ca3531f04d066a49b3c
 /etc/init.d/sogo d85d08f75b47001fddd3d33cf397c0a9
 /etc/logrotate.d/sogo a660f9849da382a7c1537298cca7e022
 /etc/sogo/sogo.conf 9b67cf7794ab4759f58fe9a9fca5af31
Description: a modern and scalable groupware
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 The Inverse edition of this project has many feature enhancements:
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
root@mx:~#

- Issue History
Date Modified Username Field Change
2017-03-06 11:00 mrcoollv New Issue
2017-03-06 11:02 ludovic Priority urgent => normal
2017-03-06 11:02 ludovic Severity major => minor
2017-03-06 11:07 mrcoollv Note Added: 0011440
2017-03-10 10:50 mrcoollv Tag Attached: ActiveSync
2017-03-10 10:50 mrcoollv Tag Attached: calendar
2017-03-15 13:23 mrcoollv Note Added: 0011496
2017-03-30 13:32 mrcoollv Note Added: 0011635
2017-03-30 13:32 mrcoollv Note Deleted: 0011496
2017-03-30 13:46 ludovic Note Added: 0011636
2017-04-02 17:44 mrcoollv Note Added: 0011661
2017-04-04 14:50 mrcoollv Note Added: 0011676
2017-04-05 17:24 mrcoollv Note Added: 0011682
2017-04-05 17:25 mrcoollv Note Deleted: 0011661
2017-04-06 15:13 ludovic Note Added: 0011688
2017-04-06 17:19 ludovic Note Edited: 0011688 View Revisions
2017-04-07 10:44 mrcoollv Note Added: 0011694
2017-04-16 17:05 mrcoollv Note Added: 0011731
2017-04-21 15:36 mrcoollv Note Added: 0011747
2017-04-21 15:36 ludovic Note Added: 0011748
2017-04-21 16:01 mrcoollv Note Added: 0011749
2017-05-08 10:53 mrcoollv Note Added: 0011794
2017-05-08 10:59 ludovic Note Added: 0011795
2017-05-08 11:03 mrcoollv Note Added: 0011796
2017-05-08 14:28 ludovic Note Added: 0011798
2017-05-08 14:31 mrcoollv Note Added: 0011799
2017-05-26 12:03 mrcoollv Note Added: 0011835
2017-06-02 15:19 mrcoollv Note Added: 0011896
2017-06-02 15:23 ludovic Note Added: 0011897
2017-06-07 12:27 mrcoollv Note Added: 0011904
2017-06-16 11:30 ludovic Relationship added related to 0002561
2017-06-16 11:31 ludovic Note Added: 0011966
2017-07-05 16:14 mrcoollv Note Added: 0012037
2017-07-11 12:16 mrcoollv Note Added: 0012087
2017-07-11 14:43 ludovic Note Added: 0012088
2017-07-11 14:45 mrcoollv Note Added: 0012089
2017-07-23 13:32 mrcoollv Note Added: 0012122
2017-07-23 20:22 ludovic Note Added: 0012123
2017-08-02 12:55 mrcoollv Note Added: 0012150
2017-08-07 12:25 mrcoollv Note Added: 0012154
2017-08-08 19:53 mrcoollv Note Added: 0012155
2017-08-08 22:04 ludovic Note Added: 0012156
2017-08-08 22:56 mrcoollv Note Added: 0012157
2017-08-11 13:39 ludovic Note Added: 0012166
2017-08-12 12:39 mrcoollv Note Added: 0012168
2017-08-14 10:11 mrcoollv Note Added: 0012169
2017-08-16 13:54 mrcoollv Note Deleted: 0012169
2017-08-16 13:55 mrcoollv Note Added: 0012171
2017-08-18 08:08 Christian Mack Note Added: 0012173
2017-08-18 23:02 mrcoollv Note Added: 0012185


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker